module.exports = baseHandler;

function baseHandler(key, valueObj) {
  return key === 'pseudo' ?
    pseudoObjToCss(valueObj) : valsObjToCss(key, valueObj);
}

function pseudoObjToCss(pseudoObj) {
  var css = '';
  for (var pseudoClass in pseudoObj) {
    var propsObj = pseudoObj[pseudoClass];
    for (var prop in propsObj) {
      css += valsObjToCss(prop, propsObj[prop], pseudoClass);
    }
  }
  return css;
}

function valsObjToCss(prop, valsObj, pseudo) {
  var css = '';
  for (var val in valsObj) {
    var className = valsObj[val];
    css += declToCss(prop, val, className, pseudo);
  }
  return css;
}

function declToCss(prop, val, className, pseudo) {
  var classString = pseudo ? ("" + className + pseudo) : className;
  return ("." + classString + "{" + prop + ":" + val + "}");
}
